https://amadeus.com/reference-data/urls/checkin-linksAirline code following IATA or ICAO standard - e.g. 1X; AF or ESY [IATA table codes](http://www.iata.org/publications/Pages/code-search.aspx) [ICAO airlines table codes](https://en.wikipedia.org/wiki/List_of_airline_codes)
Check-in page language with one of the following patterns 'languageCode' (e.g. EN) or 'languageCode-IATAcountryCode' (e.g. en-GB). Default value is **en-GB** (used when required language is not available or when no value is specified).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://amadeus.com/reference-data/urls/checkin-links' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://amadeus.com/reference-data/urls/checkin-linksAirline code following IATA or ICAO standard - e.g. 1X; AF or ESY [IATA table codes](http://www.iata.org/publications/Pages/code-search.aspx) [ICAO airlines table codes](https://en.wikipedia.org/wiki/List_of_airline_codes)
Check-in page language with one of the following patterns 'languageCode' (e.g. EN) or 'languageCode-IATAcountryCode' (e.g. en-GB). Default value is **en-GB** (used when required language is not available or when no value is specified).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://amadeus.com/reference-data/urls/checkin-links' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}